mcf / modifyconfig            Modifies text-to-speech configurations

   Format:
      ;mcf                    Shows a list of text-to-speech configurations
      ;mcf <name>             Shows settings stored in the configuration <name>
      ;mcf <name> <options>   Modifies the text-to-speech configuration <name>

      ;mcf all engine <engine>
                              Changes the speech engine for most configurations
   Notes:
      If you have one or more of the text-to-speech (TTS) engines installed on
         your system, Axmud can use them to convert text to speech.
      The engines currently supported on MS Windows are eSpeak, espeak-ng,
         Festival and Swift. The engines supported on Linux are eSpeak,
         espeak-ng, Flite, Festival and Swift.
      Axmud also uses a dummy engine, called 'none'. If Axmud tries to convert
         text to speech using the dummy engine, you'll hear nothing.

      Axmud stores a number of TTS configurations. Each configuration stores an
         engine, voice, word speed, word rate, word pitch and volume setting,
         among others. Text received from the world uses one configuration,
         system messages use another, so it's easy to customise the
         configurations so that they read aloud in different voices.
      You can use this command to modify the settings stored in the
         configuration called <name>. You can then use the ';speak' command to
         test the new configuration, if you want. (See also the help for
         ';addconfig', ';cloneconfig', ';deleteconfig' and ';listconfig'. The
         command ';editconfig' opens an object viewer window, from which you can
         also modify the configuration.)
      Note that the configurations called 'espeak', 'esng', 'flite', 'festival',
         'swift' and 'none' can't be modified (but other configurations using
         these engines can be modified.)

      Unfortunately, some engines don't allow us to modify some <options> (for
         example, you can't use this command to change the word speed used with
         Flite; eSpeak uses a word speed, whereas Festival uses a word rate.)
      If you specify an invalid <option>, it is ignored (and text-to-speech
         conversion happens using default values).
      See the documentation for your preferred text-to-speech engine to find out
         which voices are available on your system.

      If specified, <options> should be one of the following:

         engine <string>      Sets the TTS engine to <string>, which must be one
                                 of the following strings: 'espeak', 'esng',
                                 'flite', 'festival', 'swift' or 'none'

         voice <string>       Sets the voice to <string> (eSpeak, espeak-ng,
                                 Festival and Swift only). You can use any
                                 <voice> available on your system. See the
                                 documentation for your preferred text-to-speech
                                 engine to find out which voices are available
                                 on your system
         voice                Resets the voice (a default value is used)

         speed <num>          Sets the word speed to <num> (eSpeak and espeak-ng
                                 on all systems, and Swift on MS Windows only).
                                 Must be in the range 0-100
         speed                Resets the word speed (a default value is used)

         rate <num>           Sets the word rate to <num> (Festival, and Swift 
                                 on Linux only). Must be in the range 0-100
         rate                 Resets the word rate (a default value of is used)

         pitch <num>          Sets the word pitch to <num> (eSpeak, espeak-ng
                                 and Swift only). Must be in the range 0-100
         pitch                Resets the pitch (a default value is used)

         volume <num>         Sets the volume to <num> (espeak-ng, Festival and
                                 Swift only).  Must be in the range 0-100
         volume               Resets the volume (a default value is used)

         use <pattern>        Adds an exclusive pattern. If one or more
                                 exclusive patterns have been added, only lines
                                 which match one of those patterns are converted
                                 to speech; otherwise, all received lines are
                                 converted to speech
         use                  Resets the list of exclusive patterns

         exclude <pattern>    Adds an excluded pattern. If a line matches an
                                 excluded pattern, it is not converted to speech
                                 (but otherwise, it is.) Excluded patterns are
                                 ignored completely if you have added one or
                                 more exclusive patterns
         exclude              Resets the list of excluded patterns

      Normal Axmud switches can be used, if you prefer: -e for engine, -v for
         voice, -s for speed, -r for rate, -p for pitch, -l for volume, -u for
         use and -x for exclude.

      If you find that the default TTS engine is not available on your system,
         you can use the following command:

            ;mcf all engine <string>

      This changes the TTS engine used by all configurations to the engine
         called <string>. This doesn't affect the configurations that can't be
         modified, namely 'espeak', 'esng', 'flite', 'festival', 'swift' and
         'none'. 
         
   User commands:
      mcf / config / modconfig / modifyconfig
